%define major 0.8
Name: muine
Version: %major.11
Release: alt3

%define muinedir %_prefix/lib/%name

Summary: Music player for GNOME

License: GPL
Group: Sound
Url: http://muine-player.org/

Packager: Vitaly Lipatov <lav@altlinux.ru>

# git clone git://git.gnome.org/muine muine
#Source: http://muine-player.org/releases/%name-%version.tar.bz2
Source: http://download.gnome.org/sources/%name/%major/%name-%version.tar
Patch: %name-locale-names.patch
Patch1: %name-0.8.6+flac-1.1.3.patch
Patch2: %name-0.8.8-libnotify.patch
Patch3: %name-0.8.3-plugindir.patch
Patch4: %name-0.8.11-libgnomevfs.patch
Patch5: %name-0.8.11-monodoc.patch
Patch6: %name-0.8.11-alt-deprecate-widget.patch
Patch7: %name-fix-display.patch

# Automatically added by buildreq on Tue Jan 04 2011
BuildRequires: GConf glibc-devel gstreamer-devel intltool libGConf-devel libgdbm-devel libgnome-sharp libgtk+2-devel libtag-sharp mono-mcs monodoc ndesk-dbus-glib

# FIXME: not automated
BuildRequires: libgnome-sharp-devel libtag-sharp-devel ndesk-dbus-devel ndesk-dbus-glib-devel

BuildRequires: gnome-common
BuildRequires: gnome-icon-theme rpm-build-mono monodoc-devel

BuildRequires: /proc

%define         min_ver 0.10

BuildRequires: gstreamer-devel >= %min_ver
#BuildRequires: gstreamer-GConf-devel >= %min_ver
BuildRequires: gst-plugins-devel >= %min_ver

Requires(post,preun):	GConf2 >= 2.3.0
Requires(post,preun):	scrollkeeper

#Requires: gstreamer-audio-effects >= %min_ver
Requires: gst-plugins-audio-formats >= %min_ver
Requires: gst-plugins-ximagesink
Requires: gst-plugins-gnomevfs >= %min_ver

%description
Muine is a music player using some new UI ideas. The idea is that it
will be much easier and comfortable to use than the iTunes model,
which is used by both Rhythmbox and Jamboree.

%package plugin-dashboard
Summary: Dashboard plugin for Muine
Group: Sound
Requires: %name = %version-%release
Requires: dashboard

%description plugin-dashboard
Simple dashboard plugin for Muine.

%package plugin-trayicon
Summary: Trayicon plugin for Muine
Group: Sound
Requires: %name = %version-%release

%description plugin-trayicon
Trayicon plugin for Muine.

%package monodoc
Summary: Development documentation for %name
Group: Development/Other
BuildArch: noarch

%description monodoc
This package contains the API documentation for %name in Monodoc format.

%prep
%setup
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p2

%__subst "s|\(muinelibdir =\).*|\1 %muinedir|g" src/Makefile.*

%build
%autoreconf
%configure \
	--enable-compile-warnings=minimum \
	--disable-schemas-install \
	--disable-static

%make_build

%install
#install -d %buildroot%_libdir/muine/plugins/

%makeinstall_std GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1 plugindir=%muinedir/plugins

install plugins/*.{png,xml} %buildroot%muinedir/plugins/

rm -f %buildroot%_libdir/muine/*.la
rm -rf %buildroot%_pkgconfigdir/

%find_lang %name --with-gnome

%post
%gconf2_install %name

%preun
if [ $1 = 0 ]; then
%gconf2_uninstall %name
fi

%files -f %name.lang
%_bindir/*
%doc AUTHORS ChangeLog MAINTAINERS NEWS PLUGINS README TODO
%_sysconfdir/gconf/schemas/*
%dir %_libdir/%name/
%_libdir/%name/*.so*
%_libdir/%name/*.dll
%dir %muinedir/
%muinedir/muine.exe
%muinedir/muine.exe.config
%dir %muinedir/plugins/
%_datadir/dbus-1/services/*
#%_libdir/mono/gac/*
#%_libdir/mono/muine/
%_desktopdir/*.desktop
%_iconsdir/hicolor/*/apps/*
# /usr/share/icons/hicolor/16x16/apps

#%files plugin-dashboard
#%_libdir/muine/plugins/DashboardPlugin.dll

%files monodoc
%doc %_monodocdir/*

%files plugin-trayicon
%muinedir/plugins/TrayIcon.dll
%muinedir/plugins/TrayIcon.dll.config
%muinedir/plugins/TrayIcon.xml
%muinedir/plugins/InotifyPlugin.dll
%muinedir/plugins/InotifyPlugin.dll.config
%muinedir/plugins/muine-tray-*.png

%changelog
* Tue Jan 04 2011 Vitaly Lipatov <lav@altlinux.ru> 0.8.11-alt3
- update buildreqs, fix build

* Wed Apr 07 2010 Alexey Shabalin <shaba@altlinux.ru> 0.8.11-alt2
- update buildreq
- cleanup spec (drop xine support, upstream support gstreamer only)
- do not use libgnomevfs(upstream + patch4)
- use altlinux path to monodoc sources (patch5)
- use %%_monodocdir from rpm-build-mono
- don't use deprecated widget flag (patch6)

* Mon Sep 21 2009 Vitaly Lipatov <lav@altlinux.ru> 0.8.11-alt1
- new version 0.8.11 (with rpmrb script)

* Sat Nov 22 2008 Vitaly Lipatov <lav@altlinux.ru> 0.8.10-alt2
- fix build on x86_64

* Sat Nov 15 2008 Vitaly Lipatov <lav@altlinux.ru> 0.8.10-alt1
- new version 0.8.10 (with rpmrb script)

* Thu Jul 17 2008 Vitaly Lipatov <lav@altlinux.ru> 0.8.9-alt1svn20080717
- new version 0.8.9
- update buildrequres

* Sat Jan 12 2008 Vitaly Lipatov <lav@altlinux.ru> 0.8.8-alt2
- update buildreq (bug #13975)

* Wed Dec 26 2007 Vitaly Lipatov <lav@altlinux.ru> 0.8.8-alt1
- new version 0.8.8 (with rpmrb script)

* Sun Sep 23 2007 Vitaly Lipatov <lav@altlinux.ru> 0.8.7-alt1
- new version 0.8.7 (with rpmrb script)
- enable update/clean menus

* Sun Jul 22 2007 Vitaly Lipatov <lav@altlinux.ru> 0.8.6-alt2
- disable error on warnings (fix build on x86_64)

* Wed Mar 07 2007 Vitaly Lipatov <lav@altlinux.ru> 0.8.6-alt1
- build with new flac (fix bug #10937, thanks led@)

* Sat Dec 30 2006 Vitaly Lipatov <lav@altlinux.ru> 0.8.6-alt0.3
- disable plugin-dashboard package

* Sat Dec 30 2006 Vitaly Lipatov <lav@altlinux.ru> 0.8.6-alt0.2
- rebuild with rpm-build-mono

* Sun Dec 24 2006 Vitaly Lipatov <lav@altlinux.ru> 0.8.6-alt0.1
- new version 0.8.6 (with rpmrb script)
- fix dbus dir, icons dir

* Sun May 21 2006 Vitaly Lipatov <lav@altlinux.ru> 0.8.4-alt0.1
- new version

* Sun Sep 18 2005 Vitaly Lipatov <lav@altlinux.ru> 0.8.3-alt0.1
- spec from PLD Team (thanks)
